function [k0, k1, k2]=InverterParameters(pac, Efficiency)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Fitting
## model function:
f = @ (p, x) 100*x./(x + p(1) + p(2)*x + p(3)*x.*x);
## initial values:
init = [.01; .01; .01];
## start optimization
[p, model_values, cvg, outp] = nonlin_curvefit (f, init, pac, Efficiency);
k0=p(1);
disp('k0='); disp(k0);
k1=p(2);
disp('k1='); disp(k1);
k2=p(3);
disp('k2='); disp(k2);
%Draw a plot with data and model
plot(pac, model_values, '-k', pac, Efficiency, 'ko');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

